import request from '@/utils/request'

// 查询附件管理列表
export function listFile(query) {
  return request({
    url: '/pms/file/list',
    method: 'get',
    params: query
  })
}

// 查询附件管理详细
export function getFile(id) {
  return request({
    url: '/pms/file/' + id,
    method: 'get'
  })
}

// 新增附件管理
export function addFile(data) {
  return request({
    url: '/pms/file',
    method: 'post',
    data: data
  })
}

// 修改附件管理
export function updateFile(data) {
  return request({
    url: '/pms/file',
    method: 'put',
    data: data
  })
}

// 删除附件管理
export function delFile(id) {
  return request({
    url: '/pms/file/' + id,
    method: 'delete'
  })
}
